
#include "LCD_Launchpad.h"
#include <Wire.h> //I2C Arduino Library
#define led RED_LED
#define address 0x48 //Thermo click I2C address

int reading = 0;
int temp;
int lt;
String text;

LCD_LAUNCHPAD myLCD;

void setup(){
  //Initialize Serial and I2C communications
    Wire.begin();
    myLCD.init();
    myLCD.displayText("THERMO");

  Wire.beginTransmission(address); //open communication with Thermo3
  Wire.write(0x00); //select mode register
  Wire.endTransmission();

   pinMode(led,OUTPUT);
  digitalWrite(led,HIGH);
  delay(50);
}

void loop(){

  Wire.beginTransmission(address);
  Wire.write(0x00); //select register 0, X MSB register
  Wire.endTransmission();
  

  Wire.requestFrom(address, 2);
  if(2<=Wire.available()){
    reading = Wire.read();     // receive high byte (overwrites previous reading)
    reading = reading << 8;    // shift high byte to be high 8 bits
    reading |= Wire.read();    // receive low byte as lower 8 bits
    reading = reading >> 4;    // shift right 4 bits
    temp = reading * 0.0625*10;
  }
  myLCD.displayText("      ");
  text = String(temp);
  text.trim();
  lt = text.length();
  for (int i=0;i<6-lt;i++){
      text = " "+text;
  }
  myLCD.displayText(text);
  myLCD.showSymbol(LCD_SEG_DOT5, 1);

  delay(250);
}